<!DOCTYPE html>
<html lang="tr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Sunucu ve Bağlantı </title>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">
    <style>
        /* Genel Sayfa Tasarımı */
        body {
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
            background-color: #f0f4f8;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            color: #333;
        }

        /* Konteyner */
        .container {
            width: 100%;
            max-width: 700px;
            background-color: #fff;
            border-radius: 12px;
            box-shadow: 0 6px 15px rgba(0, 0, 0, 0.1);
            padding: 40px 30px;
            text-align: center;
            position: relative;
        }

        h1 {
            font-size: 28px;
            margin-bottom: 20px;
            color: #1e40af;
            font-weight: 600;
        }

        .status-message {
            font-size: 18px;
            color: #555;
            margin-bottom: 20px;
        }

        .status-item {
            font-size: 16px;
            color: #666;
            margin-bottom: 15px;
            display: flex;
            align-items: center;
            justify-content: center;
            opacity: 0;
            animation: fadeIn 0.6s forwards;
        }

        .status-item i {
            margin-right: 10px;
            font-size: 20px;
            transition: transform 0.3s ease;
        }

        .status-item i.success {
            color: #4CAF50;
        }

        .status-item i.error {
            color: #f44336;
        }

        .loading-spinner {
            margin-top: 20px;
            display: none;
        }

        /* Yükleniyor animasyonu */
        .spinner {
            border: 8px solid #f3f3f3;
            border-top: 8px solid #1E3A8A;
            border-radius: 50%;
            width: 50px;
            height: 50px;
            animation: spin 2s linear infinite;
            margin: 0 auto;
        }

        @keyframes spin {
            0% { transform: rotate(0deg); }
            100% { transform: rotate(360deg); }
        }

        @keyframes fadeIn {
            0% { opacity: 0; }
            100% { opacity: 1; }
        }

        /* Footer */
        .footer {
            margin-top: 30px;
            font-size: 14px;
            color: #777;
        }

        .completed {
            color: #4CAF50;
            font-weight: bold;
        }

        .error {
            color: #f44336;
            font-weight: bold;
        }

        /* Yönlendirme sonrası animasyon */
        .redirect-message {
            font-size: 18px;
            color: #4CAF50;
            margin-top: 20px;
            animation: fadeIn 1s ease-in-out;
        }
    </style>
</head>
<body>

    <div class="container">
        <h1><i class="fas fa-cogs"></i> Sunucu ve Bağlantı Kontrol</h1>
        
        <div class="status-message" id="statusMessage">
            <p>İşlem başlatılıyor... Lütfen bekleyin.</p>
        </div>

        <!-- Yükleniyor animasyonu -->
        <div class="loading-spinner" id="spinner">
            <div class="spinner"></div>
        </div>

        <!-- Adımlar -->
        <div class="footer">
            <div id="step1" class="status-item"><i class="fas fa-server"></i> Sunucu Bağlantısı: Bekleniyor...</div>
            <div id="step2" class="status-item"><i class="fas fa-database"></i> SQL Bağlantısı: Bekleniyor...</div>
            <div id="step3" class="status-item"><i class="fas fa-user-shield"></i> Root Bağlantısı: Bekleniyor...</div>
            <div id="step4" class="status-item"><i class="fas fa-cogs"></i> Yapılandırmalar: Bekleniyor...</div>
            <div id="step5" class="status-item"><i class="fas fa-check-circle"></i> Kontroller Tamamlandı.</div>
        </div>
    </div>

    <script>
        window.onload = function() {
            // 10 saniye içinde adımlar simüle edilecek
            let steps = [
                { id: "step1", message: "Sunucu Bağlantısı: Bağlantı sağlandı!", icon: "fa-check-circle", color: "success" },
                { id: "step2", message: "SQL Bağlantısı: Bağlantı sağlandı!", icon: "fa-check-circle", color: "success" },
                { id: "step3", message: "Root Bağlantısı: Bağlantı sağlandı!", icon: "fa-check-circle", color: "success" },
                { id: "step4", message: "Yapılandırmalar: Yapılandırmalar tamamlandı!", icon: "fa-check-circle", color: "success" },
                { id: "step5", message: "Kontroller Tamamlandı.", icon: "fa-check-circle", color: "success" }
            ];

            // Her adım için simülasyon
            let currentStep = 0;
            let interval = setInterval(function() {
                if (currentStep < steps.length) {
                    // Adım simülasyonu
                    let step = steps[currentStep];
                    let element = document.getElementById(step.id);

                    element.innerHTML = `<i class="fas ${step.icon} ${step.color}"></i> ${step.message}`;
                    element.style.opacity = 1;

                    // Animasyon efekti
                    element.querySelector("i").style.transform = "scale(1.2)";
                    setTimeout(function() {
                        element.querySelector("i").style.transform = "scale(1)";
                    }, 300);

                    currentStep++;
                } else {
                    // Yükleniyor animasyonunu bitir
                    document.getElementById("spinner").style.display = "none";
                    // Son mesajı göster
                    document.getElementById("statusMessage").innerHTML = "<p><i class='fas fa-check-circle'></i> Tüm işlemler başarıyla tamamlandı!</p>";

                    // Yönlendirme mesajını göster
                    setTimeout(function() {
                        document.getElementById("statusMessage").innerHTML = "<p class='redirect-message'><i class='fas fa-arrow-right'></i> Şimdi yönlendiriliyorsunuz...</p>";
                    }, 1000);

                    // 10 saniye sonra yönlendirme yapalım
                    setTimeout(function() {
                        // Yönlendirme işlemi
                        window.location.href = "/yukle.php"; // Yönlendirilmek istenen URL
                    }, 2000); // 2 saniye sonra yönlendirme yapılacak

                    clearInterval(interval);
                }
            }, 2000); // Her 2 saniyede bir adım gerçekleşecek

            // 10 saniye sonra sayfa tamamlandığında yapılacaklar
            setTimeout(function() {
                // Başarılı işlem tamamlandığında animasyonu durdur
                document.getElementById("spinner").style.display = "none";
                document.getElementById("statusMessage").innerHTML = "<p><i class='fas fa-check-circle'></i> Sunucu ve bağlantı işlemleri başarıyla tamamlandı.</p>";
            }, 10000); // 10 saniye sonra tüm işlemler tamamlanmış olacak
        }
    </script>

</body>
</html>
