<?php
// Hata raporlamayı etkinleştir
ini_set('display_errors', 1);
error_reporting(E_ALL);

// Kullanıcı adı otomatik olarak alınıyor
$username = get_current_user(); // Sistemden otomatik olarak kullanıcı adını alıyoruz
$siteCategory = '';

// Kategori seçimi ve ZIP dosyasını çıkarma işlemi
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $siteCategory = $_POST['siteCategory']; // Kullanıcıdan alınan kategori seçimi

    // Kategorilere göre ZIP dosyası URL'si belirleme
    if ($siteCategory == "site1") {
        $zipUrl = 'https://wordpress.org/latest.zip'; // Site 1 URL'si
    } elseif ($siteCategory == "site2") {
        $zipUrl = 'https://example.com/site2.zip'; // Site 2 URL'si (örnek)
    } else {
        die('Geçersiz kategori seçimi.');
    }

    // Geçici dosya adı
    $tempZip = 'temp.zip';

    // Dosya indirme işlemi (cURL ile)
    $ch = curl_init($zipUrl);
    $fp = fopen($tempZip, 'wb');
    curl_setopt($ch, CURLOPT_FILE, $fp);
    curl_setopt($ch, CURLOPT_HEADER, 0);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true); // Yönlendirmeleri takip et
    if (!curl_exec($ch)) {
        die('Dosya indirilemedi. Hata: ' . curl_error($ch));
    }
    curl_close($ch);
    fclose($fp);

    // ZIP dosyasını çıkaracağımız hedef dizin
    $extractPath = "/home/{$username}/public_html"; // Kullanıcı adını dinamik olarak kullanıyoruz

    // Hedef dizin yoksa oluştur
    if (!file_exists($extractPath)) {
        if (!mkdir($extractPath, 0777, true)) {
            die('Dizin oluşturulamadı. Lütfen izinleri kontrol edin. Dizin: ' . $extractPath);
        }
    }

    // ZIP dosyasını çıkarma işlemi
    $zip = new ZipArchive;
    if ($zip->open($tempZip) === TRUE) {
        if ($zip->extractTo($extractPath)) {
            echo '<div class="success-message">Dosya başarıyla çıkarıldı!</div>';
            // Yönlendirme işlemi
            header("refresh:3; url=/wordpress"); // 3 saniye sonra yönlendirme
        } else {
            die('Dosya çıkartılamadı. Lütfen izinleri kontrol edin.');
        }
        $zip->close();
    } else {
        die('ZIP dosyası açılamadı. Lütfen dosyanın geçerli ve erişilebilir olduğunu kontrol edin.');
    }

    // Geçici ZIP dosyasını silme
    if (file_exists($tempZip)) {
        if (!unlink($tempZip)) {
            echo 'Geçici dosya silinemedi: ' . $tempZip;
        }
    } else {
        echo 'Geçici ZIP dosyası silinemedi.';
    }
}
?>

<!-- HTML ve CSS -->
<!DOCTYPE html>
<html lang="tr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Kullanıcı Adı ile ZIP Dosyası Çıkartma</title>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">
    <style>
        body {
            font-family: 'Arial', sans-serif;
            background-color: #f0f4f8;
            margin: 0;
            padding: 0;
        }

        .container {
            width: 100%;
            max-width: 700px;
            margin: 50px auto;
            background-color: #ffffff;
            border-radius: 15px;
            padding: 40px;
            box-shadow: 0 12px 20px rgba(0, 0, 0, 0.1);
            text-align: center;
        }

        h1 {
            color: #2a4365;
            font-size: 28px;
            margin-bottom: 20px;
        }

        .user-info {
            font-size: 18px;
            color: #2a4365;
            margin-bottom: 30px;
        }

        label {
            font-size: 16px;
            color: #555;
            margin-bottom: 10px;
            display: block;
        }

        select {
            width: 100%;
            padding: 12px;
            font-size: 16px;
            margin-bottom: 20px;
            border: 1px solid #ddd;
            border-radius: 5px;
            background-color: #f9f9f9;
        }

        button {
            width: 100%;
            padding: 12px;
            font-size: 16px;
            background-color: #1E3A8A;
            color: white;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            transition: background-color 0.3s;
        }

        button:hover {
            background-color: #2563EB;
        }

        .success-message {
            padding: 15px;
            background-color: #38a169;
            color: white;
            border-radius: 5px;
            font-size: 18px;
            margin-top: 30px;
        }

        .error-message {
            padding: 15px;
            background-color: #e53e3e;
            color: white;
            border-radius: 5px;
            font-size: 18px;
            margin-top: 30px;
        }

        .footer {
            margin-top: 20px;
            font-size: 14px;
            color: #666;
        }

        .footer a {
            color: #3182ce;
            text-decoration: none;
        }

        .footer a:hover {
            text-decoration: underline;
        }
    </style>
</head>
<body>

    <div class="container">
        <h1><i class="fas fa-cogs"></i>YAZİLİM.MARKET OTOMASYON</h1>

        <!-- Kullanıcı adı otomatik olarak görüntüleniyor -->
        <div class="user-info">Hoş geldiniz, <strong><?php echo $username; ?></strong>!</div>

        <!-- Formu Burada Gösteriyoruz -->
        <form method="POST">
            <label for="siteCategory"><i class="fas fa-sitemap"></i> Kategori Seçin:</label>
            <select name="siteCategory" id="siteCategory" required>
                <option value="site1">Epin Sitesi</option>
                <option value="site2">Eğitim</option>
            </select>

            <button type="submit"><i class="fas fa-download"></i> ZIP Dosyasını Çıkart</button>
        </form>
    </div>

</body>
</html>
